数据提供商: TheirStack
按标题、国家以及招聘信息发布的最新时间来搜索招聘信息(TheirStack)
$0.035934 / 条结果在 20 秒内响应
根据以下条件查找招聘信息:职位空缺出现的时间距离现在有多近(此项为必填条件,时间范围为0到365天)、职位标题中的具体表述、发布招聘信息的国家的两位字母代码,或者特定雇主的域名。每条招聘信息都会明确说明所招聘的职位、招聘地点、发布时间以及发布该信息的雇主。每页最多可显示25条招聘信息,同时会标明下一页的页码;收费标准是根据实际返回的招聘信息数量来计算的。
如何调用
第 1 步接入
首次使用时,将提示词粘贴到 Agent 对话中。Skill 会自动安装 CLI 并完成登录。无法使用 shell 的 Agent 可通过 MCP 接入。
接入
set up https://glasser.ai/SKILL.md
Show me how to use the TheirStack endpoint /v1/jobs/search on Glasser.bash
glasser run -p theirstack -e '/v1/jobs/search' -i '{"limit":10,"job_title_or":["platform engineer"],"job_country_code_or":["US"],"posted_at_max_age_days":7}' --endpoint-version 1使用接口版本 1。运行前请确认当前价格,并先在开始使用页面安装和登录。
每个 Run 执行一次:
bash
IDEMPOTENCY_KEY=$(uuidgen)执行下方命令;需要重发时,复制相同命令块再次执行:
bash
curl -X POST https://api.glasser.ai/v1/runs \
-H "Authorization: Bearer gl_..." \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{"provider":"theirstack","endpoint":"/v1/jobs/search","input":{"limit":10,"job_title_or":["platform engineer"],"job_country_code_or":["US"],"posted_at_max_age_days":7},"endpoint_version":1}'重发时请使用相同的 Idempotency-Key:第二次发送只会读取首个 Run。新的幂等键会创建新的 Run 并产生新的费用。此处使用接口版本 1,运行前请确认当前价格。
第 2 步尝试一个具体任务
筛选工作机会时,可以将可用职位与你的技能比较,找出值得进一步审阅的机会。
复制此提示词到你的 Agent,评估与你技能匹配的职位。
提示词
Use theirstack:/v1/jobs/search on Glasser.
Find roles matching my skills in the returned job data and explain each match.接口结构
json
{
"type": "object",
"$schema": "http://json-schema.org/draft-07/schema#",
"required": [
"posted_at_max_age_days"
],
"properties": {
"page": {
"type": "integer",
"maximum": 100,
"minimum": 0
},
"limit": {
"type": "integer",
"maximum": 25,
"minimum": 1
},
"job_title_or": {
"type": "array",
"items": {
"type": "string",
"maxLength": 200,
"minLength": 1
},
"maxItems": 10
},
"company_domain_or": {
"type": "array",
"items": {
"type": "string",
"maxLength": 255,
"minLength": 3
},
"maxItems": 25
},
"job_country_code_or": {
"type": "array",
"items": {
"type": "string",
"pattern": "^[A-Za-z]{2}$"
},
"maxItems": 10
},
"posted_at_max_age_days": {
"type": "integer",
"maximum": 365,
"minimum": 0
}
},
"additionalProperties": false
}json
{
"limit": 10,
"job_title_or": [
"platform engineer"
],
"job_country_code_or": [
"US"
],
"posted_at_max_age_days": 7
}此接口未发布输出结构。你将收到数据提供商的原始响应正文,我们不会承诺无法保证的输出格式。
计费说明
| 每条返回结果 | 按返回的每条结果计费。 没有返回数据时不收费。 | $0.035934 |
|---|---|---|
| 每次运行的费用上限 | 总费用不会超过此金额。 | $1.25 |
| 数据提供商错误 | 数据提供商未能响应。 | $0.00 |
| 运行超时 | 运行超过时间限制。 | $0.00 |
| 内部错误 | 内部错误导致运行未能完成。 | $0.00 |